Subject: Re: fscanf does not return EOF
From: "Robert Collins" <[email-masked]>
To: "Mumit Khan" <[email-masked]>, "Uwe Pahner" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 30 Mar 2001 14:53:52 +1000

----- Original Message -----
From: "Mumit Khan" <[email-masked]>
To: "Uwe Pahner" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, March 30, 2001 2:31 PM
Subject: Re: fscanf does not return EOF

> On Thu, 29 Mar 2001, Uwe Pahner wrote:
>
> > Hi,
> >
>
> I suggest portable coding, where you read the lines one by one using
> fgets, checking for EOF, and if not, pass the line buffer it to
sscanf.
> Or, use fscanf, but check explicitly for eof on the stream when you
> see a return value of 0.
>
> I may of course be reading the specification wrong.
>
> Regards,
> Mumit
>

I think you're right: I am using fscanf in my fifo tests, and the first
iteration was written without checking the specs:].. as soon as I ran
man 3 fscanf on my opsnBSD machine (best man pages ever) I saw the same
point of confusion. Coding to the spec worked fine on cygwin.

Rob

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple